> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/shopper-apis/product-discovery/offers/how-to-use-point-of-promotions-pops/retrieving-all-offers-for-a-specific-point-of-promotion.md).

# Retrieving all offers for a specific point of promotion

This guide will walk you through the process of accessing promotional offers that are always triggered, as well as promotional URLs and externally triggered offers, even if the offer is not triggered, by making a `GET` request to the appropriate endpoint. Note that coupon code offers are not included, even if triggered.

To retrieve all offers for a specific point of promotion (POP), a [`GET /shoppers/me/point-of-promotions/{popName}/offers`](https://docs.digitalriver.com/commerce-api-references/shopper-apis/browse-product-discovery/offers#v1-shoppers-me-point-of-promotions-popname-offers) request. Replace `{popName}` with the name of your specific point of promotion and the `{API_Key}` with your API key.

Example using cURL:

{% tabs %}
{% tab title="cURL" %}

<pre class="language-http"><code class="lang-http">curl --location --request GET 
'https://api.digitalriver.com/shoppers/me/point-of-promotions/{popName}/offers' \
<strong>--header 'Authorization: Bearer {API_key}' \
</strong></code></pre>

{% endtab %}

{% tab title="200 OK response" %}

```json
{
  "offers": {
    "uri": "https://api.digitalriver.com/v1/shoppers/me/point-of-promotions/SiteMerchandising_HomePageStoreSpecials/offers",
    "offer": [
      {
        "uri": "https://api.digitalriver.com/v1/shoppers/me/offers/154344709",
        "name": "Home Page Security & Backup Recovery Features",
        "trigger": "Always Triggered",
        "productOffers": {
          "uri": "https://api.digitalriver.com/v1/shoppers/me/offers/154344709/product-offers"
        },
        "categoryOffers": {},
        "offerBundleGroups": {}
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

The `200 OK` response indicates that the request has been successfully processed. The response includes a JSON response about the offers associated with the specified point of promotion. The key elements in the response are:

* `offers`: An object containing details about the offers.
  * `uri`: The endpoint of the offers.
  * `offer`: An array of offer objects, each containing:

    * `uri`: The specific endpoint for the offer.
      * `name`: The name of the offer.
      * `trigger`: The condition under which the offer is activated.
      * `productOffers`: An endpoint for product-specific offers.

    This allows you to see all relevant offers and their statuses for the specified point of promotion.
